Bug 1161846 - Please upgrade meshlab to 2016.12
Summary: Please upgrade meshlab to 2016.12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: meshlab
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-08 12:55 UTC by Miro Hrončok
Modified: 2017-08-10 16:53 UTC (History)
6 users (show)

Fixed In Version: meshlab-2016.12-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-10 16:53:25 UTC


Attachments (Terms of Use)
ReadHeader patch (1.35 KB, patch)
2017-07-18 11:56 UTC, Miro Hrončok
no flags Details | Diff

Description Miro Hrončok 2014-11-08 12:55:31 UTC
We have meshlab 1.3.2 in Fedora. Upstream version 1.3.3 exists for a long time, and fixes several things, notably loading a file form path containing non-ASCII characters.

Comment 1 Fedora End Of Life 2015-11-04 14:55:28 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jan Kurik 2016-02-24 13:17:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Bert DeKnuydt 2017-02-08 11:39:55 UTC
Version 2016 is out now ...

And on F25 we still have 1.3.2.

Comment 4 Fedora End Of Life 2017-02-28 09:38:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 5 René Genz 2017-07-09 12:43:22 UTC
The package libGLEW has been updated to provide libGLEW.so.2.0.
Hence on Fedora 26 installation of meshlab fails.

$ sudo dnf install -y meshlab
Last metadata expiration check: 0:32:29 ago on So 09 Jul 2017 13:50:36 CEST.
Error: 
 Problem: conflicting requests
  - nothing provides libGLEW.so.1.13 needed by meshlab-1.3.2-10.fc25.i686
  - nothing provides libGLEW.so.1.13()(64bit) needed by meshlab-1.3.2-10.fc25.x86_64

Comment 6 Miro Hrončok 2017-07-11 11:18:21 UTC
Note that I have been trying to build the 2016.12 version an the build is failing with plenty of errors. Each time I fix one, another one raises.

(In reply to René Genz from comment #5)
> The package libGLEW has been updated to provide libGLEW.so.2.0.
> Hence on Fedora 26 installation of meshlab fails.
> 
> $ sudo dnf install -y meshlab
> Last metadata expiration check: 0:32:29 ago on So 09 Jul 2017 13:50:36 CEST.
> Error: 
>  Problem: conflicting requests
>   - nothing provides libGLEW.so.1.13 needed by meshlab-1.3.2-10.fc25.i686
>   - nothing provides libGLEW.so.1.13()(64bit) needed by
> meshlab-1.3.2-10.fc25.x86_64

Not related to this bug at all, but I'll have a look.

Comment 7 Miro Hrončok 2017-07-11 11:22:58 UTC
(In reply to Miro Hrončok from comment #6)
> Note that I have been trying to build the 2016.12 version an the build is
> failing with plenty of errors. Each time I fix one, another one raises.
> 
> (In reply to René Genz from comment #5)
> > The package libGLEW has been updated to provide libGLEW.so.2.0.
> > Hence on Fedora 26 installation of meshlab fails.
> > 
> > $ sudo dnf install -y meshlab
> > Last metadata expiration check: 0:32:29 ago on So 09 Jul 2017 13:50:36 CEST.
> > Error: 
> >  Problem: conflicting requests
> >   - nothing provides libGLEW.so.1.13 needed by meshlab-1.3.2-10.fc25.i686
> >   - nothing provides libGLEW.so.1.13()(64bit) needed by
> > meshlab-1.3.2-10.fc25.x86_64
> 
> Not related to this bug at all, but I'll have a look.

See https://bugzilla.redhat.com/show_bug.cgi?id=1439673

Comment 8 René Genz 2017-07-11 11:35:20 UTC
thank you for your effort

Comment 9 Paul DeStefano 2017-07-17 16:35:27 UTC
So, what is going on with meshab for F26?  Considering this bug and bug 1439673, I can't tell.

I was going to upgrade to F26 yesterday, but now I'm waiting, since I occasionally need meshlab for first validation of 3D print files.  It's not clear how to react to these bugs reports as a user.

Comment 10 Miro Hrončok 2017-07-17 17:18:16 UTC
The situation with Meshlab on Fedora 26 is the following:

 * current version of the meshlab package requires old GLEW, thus meshlab need a rebuild to make it installable
 * version 1.3.2 from Fedora fails to build
 * I've been experimenting with version 2016.12 and I get a lot of build errors as well
 * the maintainer of the meshlab package did not respond in couple of years

Meshlab desperately needs someone to make it work. I have the necessary permission to rebuild and/or change the package (= I'm a provenpackager), however I lack the time to fix this. If another packager steps in a provides patches, I can push them and make them happen. Later, we can start the procedure to take over this package, if Eric still doesn't respond.

Patching 1.3.2 just to make it build seems like less work than updating to 2016.12, but updating will be necessary in the future anyway.

Comment 11 Paul DeStefano 2017-07-17 23:06:52 UTC
Wow, thanks for the detailed explanation.  I understand.  Fair enough; I don't have time to help, either, so no criticism here.

Comment 12 Miro Hrončok 2017-07-18 11:55:51 UTC
Note that I've just successfully built meshlab 2016.12 outside of RPM environment without current Fedora meshlab patches. Will try to reproduce in RPM.


Two minor adjustment where needed.

sed -i 's/io_TXT/io_txt/' meshlab/src/meshlab_full.pro
mv meshlab/src/plugins_experimental/io_{TXT,txt}

and a patch I'll attach for reference.

Comment 13 Miro Hrončok 2017-07-18 11:56:32 UTC
Created attachment 1300444 [details]
ReadHeader patch

Comment 14 Miro Hrončok 2017-07-19 14:27:20 UTC
Note that I fail to build meshalb 2016.12 from RPM and am unsure why is there a failure only in the rpmbuild, probably due to some C++ flags.

This is what i have so far if anyone want's to continue https://github.com/hroncok/meshlab-spec/tree/2016

Comment 15 Tom "spot" Callaway 2017-07-21 19:27:58 UTC
I've got a package that works. This is an ugly beast, but I'll kick it back to life one more time.

Comment 16 Miro Hrončok 2017-07-22 09:23:55 UTC
Awesome!

Comment 17 Fedora Update System 2017-07-23 01:52:38 UTC
qtsoap-2.7-15.fc26 meshlab-2016.12-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-218dedceba

Comment 18 Fedora Update System 2017-08-04 00:23:49 UTC
meshlab-2016.12-1.fc26, qtsoap-2.7-15.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-218dedceba

Comment 19 Fedora Update System 2017-08-10 16:53:25 UTC
meshlab-2016.12-1.fc26, qtsoap-2.7-15.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.